Revision 4054c46d docs/installation.rst

b/docs/installation.rst
66 66

  
67 67
        $ sudo apt-get install kamaki
68 68

  
69
Install ansicolors and/or progress (Optional but recommended)
70
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
69
Install ansicolors (optional but recommended)
70
"""""""""""""""""""""""""""""""""""""""""""""
71 71

  
72 72
.. code-block:: console
73 73

  
74 74
    $ sudo apt-get install python-ansicolors
75
    $ sudo apt-get install python-progress
75

  
76
Install mock (for developers only)
77
""""""""""""""""""""""""""""""""""
78

  
79
.. code-block:: console
80

  
81
    $ sudo apt-get install python-mock
82

  
83
.. warning:: kamaki.clients unit-tests need python-mock 1.X or better. e.g.::
84

  
85
    $ sudo apt-get install python-mock=1.0.1
76 86

  
77 87
.. _installing-from-pypi-ref:
78 88

  
......
110 120

  
111 121
    $ pip install kamaki
112 122

  
113
Install ansicolors / progress
114
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
115

  
116
Packages **ansicolors** and **progress** are not required for running kamaki, but
117
they are recommended as a user experience improvement. In specific, ansicolors
118
adds colors to kamaki responses and progress adds progressbars to the commands
119
that can make use of it (*/store download*, */store upload*, */server wait* etc.)
120

  
121
Debian and Ubuntu
122
"""""""""""""""""
123
Install ansicolors
124
""""""""""""""""""
123 125

  
124
Follow the `Debian <#debian>`_ or `Ubuntu <#ubuntu>`_ installation procedure described earlier
125
and then type:
126
The **ansicolors** package is not required for running kamaki, but it is
127
recommended as a user experience improvement. In specific, ansicolors
128
adds colors to kamaki responses.
126 129

  
127 130
.. code-block:: console
128 131

  
129
    #For ansicolors
130
    $ sudo apt-get install python-ansicolors
131

  
132
    # For progress
133
    $ sudo apt-get install python-progress
132
    $ pip install ansicolors
134 133

  
135
From source
136
"""""""""""
134
Install mock
135
""""""""""""
137 136

  
138
If setuptools is not installed, `install them <http://pypi.python.org/pypi/setuptools>`_ and then type:
137
The **mock** package is needed for running the prepared unit-tests in the kamaki.clients
138
package. This feature is useful when extendnig / debugging kamaki functionality and is
139
aimed to kamaki developers and contributors. Therefore, users can enjoy the full kamaki
140
user experience without installing mock.
139 141

  
140 142
.. code-block:: console
141 143

  
142
    #For ansicolors
143
    $ pip install ansicolors
144
    $ pip install mock
144 145

  
145
    #For progress
146
    $ pip install progress
146
.. warning:: mock version >= 1.X
147 147

  
148 148
Mac OS X
149 149
--------
......
209 209
.. code-block:: console
210 210

  
211 211
    $ easy_setup kamaki
212

  
213
Install progress (optional)
214
^^^^^^^^^^^^^^^^^^^^^^^^^^^
215

  
216
progress: command-line progress bars (in some commands)
217

  
218
.. code-block:: console
219

  
220
    $ easy_setup progress
221

  

Also available in: Unified diff